//Nick
function MM_showHideLayers() { //v9.0
  var i,p,v,obj,args=MM_showHideLayers.arguments;
  for (i=0; i<(args.length-2); i+=3) 
  with (document) if (getElementById && ((obj=getElementById(args[i]))!=null)) { v=args[i+2];
    if (obj.style) { obj=obj.style; v=(v=='show')?'visible':(v=='hide')?'hidden':v; }
    obj.visibility=v; }
}

function cxphover(theid)
{
  var i;
  for (i=1;i<=4;i++)
  {
    var obj=document.getElementById("ul"+i);
    obj.style.display="none";
    obj=document.getElementById("bcxph"+i);
    obj.style.background="url('/skin/images/index/new/paih2.jpg')";
    obj.style.color="#767676";
  }
  var objf=document.getElementById("ul"+theid);
  objf.style.display="block";
  objf=document.getElementById("bcxph"+theid);
  objf.style.background="url('/skin/images/index/new/paih1.jpg')";
  objf.style.color="#000103";
  
}
function cityover()
{
  var obj=document.getElementById("cityall");
  obj.style.display="block";
}
function cityout()
{
  var obj=document.getElementById("cityall");
  obj.style.display="none";
}
function mover(theid)
{
  var sss="movermain("+theid.toString()+")";
  setTimeout(sss,600);
}

function movermain(theid)
{
  var imgurl="url('/skin/images/index/new/float"+theid+".jpg') no-repeat";
  var obj=document.getElementById("ca"+theid);
  obj.style.background=imgurl;
  var objf=document.getElementById("float"+theid);
  objf.style.display="block";
  var a=300+78*theid+39-(objf.scrollWidth/2);
  if (a<0)
  {
    a=0;
  }
  objf.style.left=a;
  var obja=document.getElementById("a"+theid);
  obja.style.color="#ffffff";
}

function mout(theid)
{
  var sss="moutmain("+theid.toString()+")";
  setTimeout(sss,600);
}

function moutmain(theid)
{
  var obj=document.getElementById("ca"+theid);
  obj.style.background="url('/skin/images/index/new/huidi.jpg') no-repeat";
  var objf=document.getElementById("float"+theid);
  objf.style.display="none";
  var obja=document.getElementById("a"+theid);
  obja.style.color="#045499";
}

function muluover(theid)
{
  var i;
  for (i=1;i<=4;i++)
  {
    var obj=document.getElementById("mu"+i);
    obj.style.display="none";
    obj=document.getElementById("mouse"+i);
    obj.style.background="url('/skin/images/index/new/bg002.gif')";
  }
  var objf=document.getElementById("mu"+theid);
  objf.style.display="block";
  objf=document.getElementById("mouse"+theid);
  objf.style.background="url('/skin/images/index/new/bg001.gif')";
}

function gosearch()
{
var branchid;
var productname;
var theurl;
branchid=document.Form_ProductSearch.BranchId.options[document.Form_ProductSearch.BranchId.options.selectedIndex].value;
productname=document.Form_ProductSearch.ProductName.value;
searchtype=document.Form_ProductSearch.searchtype.options[document.Form_ProductSearch.searchtype.options.selectedIndex].value;
  if (searchtype=="0")
    {
      if (productname=="")
      {
        top.location.href="/Product/Product_Search.aspx?Site="+SiteID+"&branchid="+branchid;
      }
      else
      {
        top.location.href="/Product/Product_Search.aspx?Site="+SiteID+"&ProductName="+productname+"&branchid="+branchid;
      }
      
    }
    else
    {
      if (productname=="")
      {
        top.location.href="/Product/Product_Search.aspx?Site="+SiteID+"&branchid="+branchid;
      }
      else
      {
        top.location.href="/Product/Product_Search.aspx?Site="+SiteID+"&ProductId="+productname+"&branchid="+branchid;
      }
    }
}  

///大图切换

function clickd(n)
{
  var imgurl;
  var preimg=precursor(thiscusor);
  var nowimg=n;
  clearInterval(ee);
  thiscusor=n;
  var objbiao;
  var objtunow;
  //上一副背景字体变
  objbiao=document.getElementById("biao"+preimg);
  imgurl="url('/skin/images/index/new/0"+preimg+"1.gif')";
  objbiao.style.background=imgurl;
  //当前标的背景字体变
  objbiao=document.getElementById("biao"+nowimg);
  imgurl="url('/skin/images/index/new/0"+nowimg+"2.gif')";
  objbiao.style.background=imgurl;
  
  document.all["oTransContainer"].filters[0].Apply();
  objtunow=document.getElementById("tu"+nowimg);
  objtunow.style.display="block";
  objtunow=document.getElementById("tu"+preimg);
  objtunow.style.display="none";
  document.all["oTransContainer"].filters[0].Play(duration=2);
  if (thiscusor>=allimage) 
  { 
   thiscusor=1; 
  } 
  else 
  { 
  thiscusor=thiscusor+1; 
  }
  ee=setInterval("gonext()",7000);
}

//执行一个页面的切换
function secBoard(n)
{ 
var imgurl;
var objtua;
var objbiao;
var nowimg=n;
var preimg=precursor(n);

if (allimage>4) 
{ 
allimage=4; 
} 
if (n>allimage) 
{ 
n=allimage; 
}

//上一副背景字体变
  objbiao=document.getElementById("biao"+preimg);
  imgurl="url('/skin/images/index/new/0"+preimg+"1.gif')";
  objbiao.style.background=imgurl;
  //当前标的背景字体变
  objbiao=document.getElementById("biao"+nowimg);
  imgurl="url('/skin/images/index/new/0"+nowimg+"2.gif')";
  objbiao.style.background=imgurl;
  document.all["oTransContainer"].filters[0].Apply();
  var objtunow=document.getElementById("tu"+nowimg);
  objtunow.style.display="block";
  objtunow=document.getElementById("tu"+preimg);
  objtunow.style.display="none";
  document.all["oTransContainer"].filters[0].Play(duration=2);
} 

function precursor(n)
{
  var x;
  if (n==1) x=allimage;
  else x=n-1;
  return x;
}
function gonext() 
{ 
var b=thiscusor; 
secBoard(b); 
if (thiscusor>=allimage) 
{ 
thiscusor=1; 
} 
else 
{ 
thiscusor=thiscusor+1; 
} 
}
function CheckMenu() {}